PalladiumEvents.registerAnimations((event) => {
    event.register('arrzee/redstone_mech_mk2', 1, (builder) => {
        let progress_redstone_mk2_toggle = animationUtil.getAnimationTimerAbilityValue(builder.getPlayer(), 'arrzenhanced:redstone_mech_mk2', 'toggle_pose', builder.getPartialTicks());

        if (progress_redstone_mk2_toggle > 0.0) {
            if (builder.isFirstPerson()) {
                // do first-person animations
            } else {
                // do third-person animations
                builder.get('right_arm')
                .moveX(-0.5)
                    .setXRotDegrees(-40)
                    .setZRotDegrees(-40)
                    .setYRotDegrees(-50)
                    .animate('InOutBounce', progress_redstone_mk2_toggle);
            }
        }

    });
});